apiVersion: policy/v1beta1
kind: PodDisruptionBudget
metadata:
  name: {{ pdb_name }}
  namespace: {{ namespace }}
spec:
{% if pdb_min_available | default(False) %}
  minAvailable: {{ pdb_min_available | int }}
{% else %}
  maxUnavailable: {{ (pdb_max_unavailable | default(1)) | int }}
{% endif %}
  selector:
    matchLabels:
      {{ pdb_match_key | default('name') }}: "{{ pdb_match_value | default(pdb_name) }}"
